# Uses of Class
java.util.concurrent.atomic.AtomicReferenceFieldUpdater

Packages that use AtomicReferenceFieldUpdater
Package
Description
java.util.concurrent.atomic
A small toolkit of classes that support lock-free thread-safe programming on single variables.

## Uses of AtomicReferenceFieldUpdater in java.util.concurrent.atomic

Methods in java.util.concurrent.atomic that return AtomicReferenceFieldUpdater
Modifier and Type
Method
Description
`static <U, W> AtomicReferenceFieldUpdater<U,W>`
AtomicReferenceFieldUpdater.`newUpdater(Class<U> tclass, Class<W> vclass, String fieldName)`
Creates and returns an updater for objects with the given field.